## ros-one-cartesian-trajectory-interpolation 0.1.7-2jammy.20251023.1002

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cartesian_trajectory_interpolation)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  cartesian_control_msgs
  joint_trajectory_controller
  roscpp
  rospy
  tf2_eigen
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a exec_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a exec_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a exec_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
  cartesian_control_msgs
  joint_trajectory_controller
  roscpp
  rospy
  tf2_eigen
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(${PROJECT_NAME}
  src/cartesian_state.cpp
  src/cartesian_trajectory.cpp
  src/cartesian_trajectory_segment.cpp
)

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
# add_executable(${PROJECT_NAME}_node src/cartesian_trajectory_interpolation_node.cpp)

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# catkin_install_python(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_executables.html
# install(TARGETS ${PROJECT_NAME}_node
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark libraries for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_libraries.html
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING REGEX ".*\\.h(pp)?"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(cartesian_state_test test/cartesian_state_test.cpp)
  target_link_libraries(cartesian_state_test ${catkin_LIBRARIES} ${PROJECT_NAME})

  catkin_add_gtest(cartesian_trajectory_segment_test test/cartesian_trajectory_segment_test.cpp)
  target_link_libraries(cartesian_trajectory_segment_test ${catkin_LIBRARIES} ${PROJECT_NAME})

  catkin_add_gtest(cartesian_trajectory_test test/cartesian_trajectory_test.cpp)
  target_link_libraries(cartesian_trajectory_test ${catkin_LIBRARIES} ${PROJECT_NAME})

endif()

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_cartesian_trajectory_interpolation.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-one-cartesian-trajectory-interpolation (0.1.7-2jammy.20251023.1002) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 23 Oct 2025 10:02:28 +0000

ros-one-cartesian-trajectory-interpolation (0.1.7-0jammy) jammy; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 29 Jul 2024 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.6-0jammy) jammy; urgency=high

  * Changed the order of multiplication when calculating quaternion based… (#15 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/15>)
  * Correct spelling
  * Added a check to ensure that the shortest path is followed when interpolating between two orientations (14 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/pull/14>)
  * Clean up package.xml files (#13 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/13>)
  * Contributors: Felix Exner, Mads Holm Peters, Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 12 Jun 2024 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.5-0jammy) jammy; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 02 Dec 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.4-0jammy) jammy; urgency=high

  * Add websites to package.xml files
  * Update image paths of partner logos (#4 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/4>)
  * Contributors: Felix Exner

 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 05 Aug 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.3-0jammy) jammy; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 23 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.2-0jammy) jammy; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.1-0jammy) jammy; urgency=high

  * Removed trailing whitespaces from README's
  * Contributors: Felix Exner

 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Felix Exner, Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

=== debian/control ===
Source: ros-one-cartesian-trajectory-interpolation
Section: misc
Priority: optional
Maintainer: Stefan Scherzinger <scherzin@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-cartesian-control-msgs, ros-one-catkin, ros-one-joint-trajectory-controller, ros-one-roscpp, ros-one-rospy, ros-one-tf2-eigen
Homepage: http://wiki.ros.org/cartesian_trajectory_interpolation
Standards-Version: 3.9.2

Package: ros-one-cartesian-trajectory-interpolation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cartesian-control-msgs, ros-one-joint-trajectory-controller, ros-one-roscpp, ros-one-rospy, ros-one-tf2-eigen
Description: Cartesian trajectory interpolation as a standalone library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cartesian-trajectory-interpolation//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-cartesian-trajectory-interpolation 0.1.7-2jammy.20251207.2242

=== debian/changelog ===
ros-one-cartesian-trajectory-interpolation (0.1.7-2jammy.20251207.2242) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Sun, 07 Dec 2025 22:42:07 +0000

## ros-one-cartesian-trajectory-interpolation 0.1.7-2jammy.20260221.2135

=== debian/changelog ===
ros-one-cartesian-trajectory-interpolation (0.1.7-2jammy.20260221.2135) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Sat, 21 Feb 2026 21:35:11 +0000

## ros-one-cartesian-trajectory-interpolation 0.1.7-2noble.20251023.1017

=== debian/changelog ===
ros-one-cartesian-trajectory-interpolation (0.1.7-2noble.20251023.1017) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 23 Oct 2025 10:17:43 +0000

ros-one-cartesian-trajectory-interpolation (0.1.7-0noble) noble; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 29 Jul 2024 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.6-0noble) noble; urgency=high

  * Changed the order of multiplication when calculating quaternion based… (#15 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/15>)
  * Correct spelling
  * Added a check to ensure that the shortest path is followed when interpolating between two orientations (14 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/pull/14>)
  * Clean up package.xml files (#13 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/13>)
  * Contributors: Felix Exner, Mads Holm Peters, Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 12 Jun 2024 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.5-0noble) noble; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 02 Dec 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.4-0noble) noble; urgency=high

  * Add websites to package.xml files
  * Update image paths of partner logos (#4 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/4>)
  * Contributors: Felix Exner

 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 05 Aug 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.3-0noble) noble; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 23 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.2-0noble) noble; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.1-0noble) noble; urgency=high

  * Removed trailing whitespaces from README's
  * Contributors: Felix Exner

 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-interpolation (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Felix Exner, Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

## ros-one-cartesian-trajectory-interpolation 0.1.7-2noble.20251208.0936

=== debian/changelog ===
ros-one-cartesian-trajectory-interpolation (0.1.7-2noble.20251208.0936) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 08 Dec 2025 09:36:20 +0000

## ros-one-cartesian-trajectory-interpolation 0.1.7-2noble.20260221.2223

=== debian/changelog ===
ros-one-cartesian-trajectory-interpolation (0.1.7-2noble.20260221.2223) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Sat, 21 Feb 2026 22:23:53 +0000
